@import url("/css/style.css");

#banner {
    width: 100vw;

    background-image: url('/defaultbackground.jpg');
    background-repeat: no-repeat;
    background-position: 100% center;
    background-size: 150%;
}
#banner > div {
    width: 100%;
    height: 100%;

    background-image: url('/defaultbackground.jpg');
    background-repeat: no-repeat;
    background-position: 100% center;
    background-size: 150%;

    animation-name: banner-slide-zoom-in;
    animation-duration: 15s;
    animation-fill-mode: forwards;
    animation-timing-function: ease-in-out;
}
#banner > div > div {
    display: grid;
    grid-template-columns: 40% auto;
    align-items: center;
    scale: 1 1.01;

    padding: 5em 2em;
    background: linear-gradient(
        in oklab to top,
        var(--background),
        oklch(from var(--background) l c h / 20%) 30%
    );
}
#banner > div > div > * { margin: auto; }

#slogan {
    margin-bottom: 2em;
    letter-spacing: .15em;
    color: var(--text);
    text-shadow: none;
}

ul.missions { list-style-type: none; }
ul.missions li {
    display: flex;
    margin: 1em 0;
}
ul.missions li p { flex-grow: 1; }

.carousel {
    position: relative;
    display: flex;
    flex-direction: row;

    width: 95%;
    border-radius: 50% / .5em;
    margin: 1em auto;

    background: oklch(from var(--color1) l 0.05 h);

    --carousel-height: 15em;
}
.carousel > div:first-child {
    position: absolute;
    left: 0;
    width: 3em;
    height: var(--carousel-height);
    background: linear-gradient(to right, var(--background2), transparent);
}
.carousel > div:last-child {
    position: absolute;
    width: 3em;
    right: 0;
    height: var(--carousel-height);
    background: linear-gradient(to left, var(--background2), transparent);
}
.carousel > div:nth-child(2) {
    display: flex;
    flex-direction: row;
    width: 100%;
    overflow: scroll;
}
.carousel figure {
    min-width: calc(var(--carousel-height) * 1.25);
    width: calc(var(--carousel-height) * 1.25);
    height: var(--carousel-height);

    text-align: center;
    box-sizing: border-box;

    margin: 0 2em;
    padding: 1em 0;
}
.carousel figure img {
    height: 80%;
    width: 100%;
    object-fit: cover;
    object-position: center;

    border-radius: 50% / 1em;
    border-bottom: .2em solid var(--color3);
    border-top:    .2em solid var(--color3);
}

.portrait {
    float: left;
    height: 15em;

    margin-right: 1em;
    border-bottom-left-radius:  50% 7em;
    border-bottom-right-radius: 50% 7em;
    border-bottom: .3em solid var(--color3);
}
.portrait-small {
    /* float: left; */
    height: 10em;
    width: 7em;
    object-fit: cover;

    border-radius: 50%;
    border-left:  .2em solid var(--color3);
    border-right: .2em solid var(--color3);
}

.socials {
    display: grid;
    grid-template-columns: 50% 50%;
    text-align: center;
}
.socials > div:first-child { border-right: 3px solid var(--color3); }
.socials p { margin: .2em 0; }
.socials a {
    color: var(--text);
    text-decoration: none;
    text-shadow: var(--color1) 0px 0px 2px;
}


@keyframes banner-slide-zoom-in {
from {
    background-position-x: 100vw;
}
10% { background-position-x: 0%; }
to {
    background-position-x: 100%;
}
}
